%define lib_major 0
%define lib_name %mklibname lensfun %{lib_major}
%define lib_dev %mklibname lensfun -d

Name: lensfun
Version: 0.2.6
Summary: A library to rectifying the defects introduced by your photographic equipment
Release: %mkrel 5
License: GPLv3
Group: System/Libraries
URL: http://lensfun.berlios.de/
Source0: http://download.berlios.de/lensfun/%{name}-%{version}.tar.bz2
# (fc) 0.2.3-1mdv fix build on 64bits
Patch1: lensfun-0.2.3-64bits.patch
Patch2: lensfun-0.2.6-lib64.patch
Patch3: lensfun-0.2.6-build.patch
Patch4: lensfun-0.2.6-pkgconfig.patch
BuildRequires: glib2-devel
BuildRequires: cmake

%description
A library to rectifying the defects introduced by your photographic equipment.

%files
%_datadir/lensfun

#------------------------------------------------------------------

%package -n	%{lib_name}
Summary: A library to rectifying the defects introduced by your photographic equipment
Group: System/Libraries
Requires: %{name}

%description -n	%{lib_name}
A library to rectifying the defects introduced by your photographic equipment.

%files -n %{lib_name}
%{_libdir}/*.so.%{lib_major}
%{_libdir}/*.so.%{lib_major}.*

#------------------------------------------------------------------

%package -n	%{lib_dev}
Summary: Development tools for programs which will use the %{name}
Group: Development/C
Requires: %{lib_name} = %{version}
Provides: %{name}-devel = %{version}-%{release}

%description -n	%{lib_dev}
This package contains the header files and .so libraries for developing %{name}.

%files -n %{lib_dev}
%{_includedir}/*
%{_libdir}/*.so
%{_libdir}/pkgconfig/lensfun.pc

#------------------------------------------------------------------

%prep
%setup -q 
%patch1 -p1 -b .64bits
%patch2 -p0 -b .lib64
%patch3 -p0 -b .build
%patch4 -p0 -b .pkgconfig

%build
%cmake -DBUILD_TESTS=OFF \
%ifarch x86_64
	-DBUILD_FOR_SSE=ON -DBUILD_FOR_SSE2=ON \
%else
	-DBUILD_FOR_SSE=OFF -DBUILD_FOR_SSE2=OFF \
%endif

%make

%install
%makeinstall_std -C build


%changelog

* Sat Jan 12 2013 umeabot <umeabot> 0.2.6-5.mga3
+ Revision: 356750
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Fri Nov 16 2012 luigiwalser <luigiwalser> 0.2.6-4.mga3
+ Revision: 318973
- fix lensfun header file installation path

* Sat Sep 08 2012 fwang <fwang> 0.2.6-3.mga3
+ Revision: 289988
- enable sse for x86_64

* Sat Sep 08 2012 fwang <fwang> 0.2.6-2.mga3
+ Revision: 289936
- more patch

* Sat Sep 08 2012 fwang <fwang> 0.2.6-1.mga3
+ Revision: 289931
- install pkgconfig file
- fix build and lib64 installation dir
- br doxygen
- specify libdir
- disable test
- build doc
- new version 0.2.6

* Sun Dec 11 2011 fwang <fwang> 0.2.5-2.mga2
+ Revision: 180798
- fix build with libpng 1.5
- add fedora patch to fix cpu features detcting

* Mon Feb 07 2011 ahmad <ahmad> 0.2.5-1.mga1
+ Revision: 48708
- imported package lensfun

